MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031619Open CASCADE[OCCT] OCCT:Samplespublic2020-06-20 02:102020-06-28 12:48
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031619: Samples - update JNI sample to use Android Studio
DescriptionIt is desired updating JNI sample for building it using Android Studio (recommended by Google) instead of Eclipse.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0092587)
git (administrator)
2020-06-20 02:13

Branch CR31619 has been created by kgv.

SHA-1: 099deff5e00ed47d35628a156c389a2f517ff70f


Detailed log of new commits:

Author: kgv
Date: Sat Jun 20 02:14:51 2020 +0300

    0031619: Samples - update JNI sample to use Android Studio
    
    Project structure and project files have been updated to use Android Studio 4.0, gradle and CMake.
    Redundant OcctJni_Window has been replaced by Aspect_NeutralWindow.
(0092588)
git (administrator)
2020-06-20 02:15

Branch CR31619 has been updated forcibly by kgv.

SHA-1: bede581c535f54ca1eade92f188cea00061adf39
(0092589)
git (administrator)
2020-06-20 02:23

Branch CR31619 has been updated forcibly by kgv.

SHA-1: 6c277a0dc53f5c035de3e61d3d918847e74e9d86
(0092590)
git (administrator)
2020-06-20 02:29

Branch CR31619 has been updated forcibly by kgv.

SHA-1: 630605c0adaa378e3d72bda946dbee6e5c970424
(0092591)
git (administrator)
2020-06-20 03:15

Branch CR31619 has been updated forcibly by kgv.

SHA-1: e7dd10217adebd98c04875719400758b419bfca7
(0092601)
kgv (developer)
2020-06-20 13:40

Patch is ready for review in OCCT branch CR31619.
(0092634)
nds (developer)
2020-06-22 08:57

1. OcctJniActivity.java:
are the commented rows necessary?
//int isAlreadyGranted = myContext.checkSelfPermission (thePermission);
//boolean toShowInfo = shouldShowRequestPermissionRationale(thePermission);
//requestPermissions (new String[]{thePermission}, 0);

2. /samples/java/jniviewer/app/src/main/jni/CMakeLists.txt
are the commented rows necessary?
#add_library(lib_FreeImage SHARED IMPORTED)
...

3. /samples/java/jniviewer/gradle.properties.template
are the path rows should give the custom path, why 7.5.0?
OCCT_ROOT=c\:/android/occt-7.5.0
...
is the commented row necessary?
#FREEIMAGE_ROOT=c\:/android/freeimage-3.17-android

4. /samples/java/jniviewer/ReadMe.md

You might need re-entering Android SDK explicitly in File -> Project Structure -> SDK Locations settings.
(and NDK Location setting)
(0092637)
git (administrator)
2020-06-22 09:14

Branch CR31619 has been updated forcibly by kgv.

SHA-1: a8f41b9fccf0a85fc9baff79520b9dae5ff6db0a
(0092639)
git (administrator)
2020-06-22 09:17

Branch CR31619 has been updated forcibly by kgv.

SHA-1: bbe85f2b40ca7c2fdd08247b0c68f6d4b56bd1c2
(0092640)
kgv (developer)
2020-06-22 09:18

> 1. OcctJniActivity.java: are the commented rows necessary?
Removed.

> 2. are the commented rows necessary?
Yes, in case if OCCT was built with optional FreeImage library enabled.

> 3. why 7.5.0?
This is just a template. Renamed to occt-dev-android.

> 4. /samples/java/jniviewer/ReadMe.md
Amended.
(0092785)
bugmaster (administrator)
2020-06-28 11:27

Combination -
OCCT branch : IR-2020-06-26
master SHA - 832a6f4412321ca784bbb36916dc740d04a05c0c
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-06-26 SHA - 180ab3ca4e501bda3da57c99a8ac8b220db33df3
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17164.36000000016 / 17160.400000000114 [+0.02%]
Products
Total CPU difference: 11173.720000000081 / 11197.400000000112 [-0.21%]
Windows-64-VC14:
OCCT
Total CPU difference: 18707.65625 / 18650.578125 [+0.31%]
Products
Total CPU difference: 13062.6875 / 13012.71875 [+0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092809)
git (administrator)
2020-06-28 12:48

Branch CR31619 has been deleted by inv.

SHA-1: bbe85f2b40ca7c2fdd08247b0c68f6d4b56bd1c2

- Related Changesets
occt: master bbe85f2b
Timestamp: 2020-06-19 23:14:51
Author: kgv
Details ] Diff ]
0031619: Samples - update JNI sample to use Android Studio

Project structure and project files have been updated to use Android Studio 4.0, gradle and CMake.
Redundant OcctJni_Window has been replaced by Aspect_NeutralWindow.
SD Card permissions are not dynamically requested for compatibility with Android API level 26+.
rm - samples/java/jniviewer/.classpath Diff ] File ]
rm - samples/java/jniviewer/.externalToolBuilders/C++ Builder.launch Diff ] File ]
add - samples/java/jniviewer/.gitattributes Diff ] File ]
mod - samples/java/jniviewer/.gitignore Diff ] File ]
rm - samples/java/jniviewer/.project Diff ] File ]
rm - samples/java/jniviewer/.settings/org.eclipse.jdt.core.prefs Diff ] File ]
add - samples/java/jniviewer/app/build.gradle Diff ] File ]
add - samples/java/jniviewer/app/src/main/jni/CMakeLists.txt Diff ] File ]
add - samples/java/jniviewer/build.gradle Diff ] File ]
add - samples/java/jniviewer/gradle.properties.template Diff ] File ]
rm - samples/java/jniviewer/jni/Android.mk Diff ] File ]
rm - samples/java/jniviewer/jni/Application.mk Diff ] File ]
rm - samples/java/jniviewer/jni/OcctJni_Window.cxx Diff ] File ]
rm - samples/java/jniviewer/jni/OcctJni_Window.hxx Diff ] File ]
rm - samples/java/jniviewer/project.properties Diff ] File ]
mod - samples/java/jniviewer/ReadMe.md Diff ] File ]
add - samples/java/jniviewer/settings.gradle Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-06-20 02:10 kgv New Issue
2020-06-20 02:10 kgv Assigned To => kgv
2020-06-20 02:13 git Note Added: 0092587
2020-06-20 02:15 git Note Added: 0092588
2020-06-20 02:23 git Note Added: 0092589
2020-06-20 02:29 git Note Added: 0092590
2020-06-20 03:15 git Note Added: 0092591
2020-06-20 13:40 kgv Note Added: 0092601
2020-06-20 13:40 kgv Assigned To kgv => nds
2020-06-20 13:40 kgv Status new => resolved
2020-06-22 08:57 nds Note Added: 0092634
2020-06-22 08:57 nds Assigned To nds => kgv
2020-06-22 09:14 git Note Added: 0092637
2020-06-22 09:17 git Note Added: 0092639
2020-06-22 09:18 kgv Note Added: 0092640
2020-06-22 09:19 kgv Assigned To kgv => nds
2020-06-22 11:04 nds Assigned To nds => kgv
2020-06-22 11:04 nds Status resolved => reviewed
2020-06-22 11:25 kgv Assigned To kgv => bugmaster
2020-06-28 11:27 bugmaster Note Added: 0092785
2020-06-28 11:27 bugmaster Status reviewed => tested
2020-06-28 11:29 bugmaster Test case number => Not required
2020-06-28 12:35 kgv Changeset attached => occt master bbe85f2b
2020-06-28 12:35 kgv Assigned To bugmaster => kgv
2020-06-28 12:35 kgv Status tested => verified
2020-06-28 12:35 kgv Resolution open => fixed
2020-06-28 12:48 git Note Added: 0092809


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker